Namespace
library
Image / Tag
consul:1.8.2
Content Digest
sha256:539a85ebc1e83bc76f6f3cfde6c7a1e8a3a4d46fcbd824de44ccfd3f6f82415a
Details
Created

2020-08-07 23:38:39 UTC

Size

44.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0625b4155e2a59f647ece47c0cd77ed3196b1f84454fa64ce80cad90e2b9b79e - 6.04% (2.66 MB)

[#001] sha256:007f5c49b9a7ff5ba06c41e57896df44b84453ea47a87e49a258210f958b5e5d - 0.0% (1.2 KB)

[#002] sha256:b7cfe4b71b3c7d500237542f2a202ff12defa48bc5b44957ccd038675022046d - 93.95% (41.4 MB)

[#003] sha256:49944b87fefb975a33c6fc89a3064cca6d27f8e4694ab0cb2451eae8fc8fdde3 - 0.0% (143 Bytes)

[#004] sha256:369a2b6a1e3b2cd12514f5c997a3c2a07f97b399a04c2d9a5ad9e4ca07e2b734 - 0.0% (154 Bytes)

[#005] sha256:3e1f8988d37e7803627df5d57881d37b17809984e369a35c582fb588c76f496e - 0.0% (1.67 KB)


History
2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) ADD file:5624441d97aca5eeb82a582941efc3586397098b8391227a9040ebe434cc1d6b in /

2020-05-29 21:38:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:38:31 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:38:29 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.2

2020-08-07 23:38:29 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:38:30 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:38:36 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:38:36 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:38:37 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:38:38 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:38:38 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:38:38 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:38:38 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:38:38 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:38:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:38:39 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:19:52 UTC

Size

44.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df20fa9351a15782c64e6dddb2d4a6f50bf6d3688060a34c4014b0d9a752eb4c - 5.99% (2.67 MB)

[#001] sha256:99e25b90332b5e6b5331f7cccca0f3b4ea912995ddcca7197c06d8c9e4f53fdc - 0.0% (1.2 KB)

[#002] sha256:471863178ef7153f10a8ccb3df88198fabe278d8022e3734540a1814090c1850 - 94.0% (41.9 MB)

[#003] sha256:8c1669621deaf9e9f8fb5ebabdc4f798ccda31b868cc2876f5eff38c3bfbffed - 0.0% (143 Bytes)

[#004] sha256:ac021cc7402d99b45d0d53d4bd314bed64beb3a352450bac3d846a3e8e508a50 - 0.0% (154 Bytes)

[#005] sha256:f3069bfce7b28e9f1bf546cd3a54108a6925336a73f0b434e7e57cfbdee96d8b - 0.0% (1.67 KB)


History
2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) ADD file:c92c248239f8c7b9b3c067650954815f391b7bcb09023f984972c082ace2a8d0 in /

2020-05-29 21:19:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 18:22:03 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:19:44 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.2

2020-08-07 23:19:44 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:19:45 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:19:49 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:19:50 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:19:51 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:19:51 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:19:51 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:19:51 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:19:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:19:52 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:19:52 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:19:52 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:50:18 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b4b72e716706d29f5d2351709c20bf737b94f876a5472a43ff1b6e203c65d27f - 6.2% (2.48 MB)

[#001] sha256:7f6db771b44502823f9dcca700cf77f8081f19a3fb5f03589bea86f6e7c39019 - 0.0% (1.23 KB)

[#002] sha256:eb14eba257dd6dadd1830b367f7282295d154cc6204232144efa95a616957ddd - 93.79% (37.6 MB)

[#003] sha256:79639c4315dac8ec3f82fbc23c6681ae0e7b28c9f415108053030b9f927ec813 - 0.0% (175 Bytes)

[#004] sha256:26213e3033758dc9a67778a246be1bcda7edb4062e38816bf2ee65ffde36baff - 0.0% (153 Bytes)

[#005] sha256:b1fd2b442821ec1ead7b13fde4067ca29d65e047e3192adca0b8070d5a627ad7 - 0.0% (1.67 KB)


History
2020-05-29 21:50:55 UTC

/bin/sh -c #(nop) ADD file:f46e997a56849423db17e5fc9f0249ab6c73b155245927dba5fcb9dfd65f622f in /

2020-05-29 21:50:56 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:49:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:49:35 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.2

2020-08-07 23:49:36 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:49:43 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:50:04 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:50:07 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:50:12 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:50:13 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:50:13 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:50:14 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:50:14 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:50:16 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:50:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:50:18 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-08-07 23:40:31 UTC

Size

40.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.8.2

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b538f80385f9b48122e3da068c932a96ea5018afa3c7be79da00437414bd18cd - 6.42% (2.58 MB)

[#001] sha256:7759389d712d34deabecb07bb6623359c775f38eb3ec23c1c255389667fdca5e - 0.0% (1.23 KB)

[#002] sha256:3400e3d210da07d9a078f64c5ab56f654a222fbcb4e39314fb1e2ce9f4a4fe4b - 93.57% (37.6 MB)

[#003] sha256:573ce4b45093e20fa89259bb2c54e1fafcde0e2480160bbbd7ff49e39829aa6a - 0.0% (174 Bytes)

[#004] sha256:60b1ed0125348b8a8aaad457be16fd084804fc8ccb9e48129f5cc332c8a18e49 - 0.0% (154 Bytes)

[#005] sha256:8b5d66d10bc907a2958d1b293303277c5bfa73087a77fce3753970ec80675012 - 0.0% (1.67 KB)


History
2020-05-29 21:43:19 UTC

/bin/sh -c #(nop) ADD file:7574aee4e37a85460ab889212d52912723a9b30dda1c060548f0deb4a05fc398 in /

2020-05-29 21:43:20 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-07-31 17:42:27 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-08-07 23:40:11 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.8.2

2020-08-07 23:40:13 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-08-07 23:40:15 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-08-07 23:40:22 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-08-07 23:40:24 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-08-07 23:40:26 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-08-07 23:40:27 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-08-07 23:40:27 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-08-07 23:40:28 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-08-07 23:40:29 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-08-07 23:40:29 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-08-07 23:40:30 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-08-07 23:40:31 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]